#include "testlib.h"

const size_t MIN_T = 1, MAX_T = 50;
const int64_t MIN_N = 2, MAX_N = 1e7;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);
    size_t t = inf.readUnsignedLong(MIN_T, MAX_T, "t");
    inf.readEoln();
    inf.readLongs(t, MIN_N, MAX_N, "x_0");
    inf.readEoln();
    inf.readEof();
}
